# DestinyBondTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class DestinyBondTag

Tag applied to the Move.DESTINY_BOND user.

#### See

apply

#### Hierarchy (view full)

- BattlerTag
  - DestinyBondTag

- Defined in src/data/battler-tags.ts:272

#####
Index

### Constructors

constructor

### Properties

lapseType
sourceId?
sourceMove
tagType
turnCount

### Methods

canAdd
getDescriptor
getMoveName
isSourceLinked
lapse
loadTag
onAdd
onOverlap
onRemove

## Constructors

### constructor

- new DestinyBondTag(sourceMove, sourceId): DestinyBondTag

- #### Parameters

  - sourceMove: Moves
  - sourceId: number

  #### Returns DestinyBondTag

  Overrides BattlerTag.constructor

  - Defined in src/data/battler-tags.ts:273

## Properties

### lapseType

lapseType: BattlerTagLapseType

Inherited from BattlerTag.lapseType

- Defined in src/data/battler-tags.ts:34

### `Optional` sourceId

sourceId?: number

Inherited from BattlerTag.sourceId

- Defined in src/data/battler-tags.ts:37

### sourceMove

sourceMove: Moves

Inherited from BattlerTag.sourceMove

- Defined in src/data/battler-tags.ts:36

### tagType

tagType: BattlerTagType

Inherited from BattlerTag.tagType

- Defined in src/data/battler-tags.ts:33

### turnCount

turnCount: number

Inherited from BattlerTag.turnCount

- Defined in src/data/battler-tags.ts:35

## Methods

### canAdd

- canAdd(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Inherited from BattlerTag.canAdd

  - Defined in src/data/battler-tags.ts:47

### getDescriptor

- getDescriptor(): string

- #### Returns string

  Inherited from BattlerTag.getDescriptor

  - Defined in src/data/battler-tags.ts:61

### getMoveName

- getMoveName(): string

- #### Returns string

  Inherited from BattlerTag.getMoveName

  - Defined in src/data/battler-tags.ts:69

### isSourceLinked

- isSourceLinked(): boolean

- #### Returns boolean

  Inherited from BattlerTag.isSourceLinked

  - Defined in src/data/battler-tags.ts:65

### lapse

- lapse(pokemon, lapseType): boolean

- Lapses either before the user's move and does nothing or after receiving fatal damage. When the damage is fatal, the attacking Pokemon is taken down as well, unless it's a boss.

  #### Parameters

  - pokemon: default

    Pokemon that is attacking the Destiny Bond user.

  - lapseType: BattlerTagLapseType

    CUSTOM or PRE_MOVE

  #### Returns boolean

  false if the tag source fainted or one turn has passed since the application

  Overrides BattlerTag.lapse

  - Defined in src/data/battler-tags.ts:286

### loadTag

- loadTag(source): void

- When given a battler tag or json representing one, load the data for it. This is meant to be inherited from by any battler tag with custom attributes

  #### Parameters

  - source: any

    A battler tag

  #### Returns void

  Inherited from BattlerTag.loadTag

  - Defined in src/data/battler-tags.ts:80

### onAdd

- onAdd(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from BattlerTag.onAdd

  - Defined in src/data/battler-tags.ts:51

### onOverlap

- onOverlap(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from BattlerTag.onOverlap

  - Defined in src/data/battler-tags.ts:55

### onRemove

- onRemove(pokemon): void

- #### Parameters

  - pokemon: default

  #### Returns void

  Inherited from BattlerTag.onRemove

  - Defined in src/data/battler-tags.ts:53